Subject: Re: [PATCH net 0/2] aqc111: Thermal throttling feature

From: Andrew Lunn <[email-masked]>
Date: Wed, 12 Dec 2018 21:38:46 +0100

> A whole separate concern is how much userspace should be involved here.
> It could be a very device specific (and therefore driver specific) logic
> on how to do device's thermal control.

Hi Igor

Well, if you fully expose the PHY to Linux using a PHY driver, it
would not be device specific at all. The PHY layer knows how to ask
the PHY to drop to lower speeds. The Marvell PHYs with their
temperature sensors could also use this core code.

You are running into trouble because you want to both to hide the PHY
from Linux, but also have Linux control the PHY to avoid it melting.
This is why i actually think you should be doing this in firmware.

     Andrew